#!/bin/sh

BASEDIR="/opt/afterlogic"
BACKDIR="${BASEDIR}/../afterlogic-backups"
BUNDLE="afterlogic"

case "$1" in

backup)

mkdir -p ${BACKDIR}
cd ${BASEDIR}
(${BASEDIR}/bin/mysqldump --add-drop-table -uroot -pmailbundle --socket=${BASEDIR}/tmp/mysql.sock afterlogic > ${BACKDIR}/${BUNDLE}-mysql-backup-`date +%Y-%m-%d`.sql ) || echo "Can't create SQL backup archive '${BACKDIR}/${BUNDLE}-mysql-backup-`date +%Y-%m-%d`.sql'"
(tar cjvf ${BACKDIR}/${BUNDLE}-backup-`date +%Y-%m-%d`.tar.bz2 "data" "etc" "html/data" ) || echo "Can't create backup archive '${BACKDIR}/${BUNDLE}-backup-`date +%Y-%m-%d`.tar.bz2'"

;;


restore)

[ -f ${BACKDIR}/${BUNDLE}-backup-$2.tar.bz2 ] && tar xjvf ${BACKDIR}/${BUNDLE}-backup-$2.tar.bz2 -C ${BASEDIR} || echo "No backup file '${BACKDIR}/${BUNDLE}-backup-$2.tar.bz2'"
[ -f ${BACKDIR}/${BUNDLE}-mysql-backup-$2.sql ] && ${BASEDIR}/bin/mysql -uroot -pmailbundle --socket=${BASEDIR}/tmp/mysql.sock afterlogic < ${BACKDIR}/${BUNDLE}-mysql-backup-$2.sql || echo "No sql backup file '${BACKDIR}/${BUNDLE}-mysql-backup-$2.sql'"

;;

*)
echo "Usage: $0 {backup|restore YYYY-MM-DD}"
exit 1

esac

exit
